//
//  LightSensorController.h
//  LightSensor
//
//  Created by Phidgets on 2015-07-15.
//  Copyright (c) 2015 Phidgets. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Foundation/Foundation.h>
#import <Phidget22/phidget22.h>
#import "PhidgetInfoBox.h"
#import "PhidgetDictionaryScanner.h"

@interface DictionaryController : NSObject <NSWindowDelegate, NSTableViewDelegate, NSTableViewDataSource>
{
    IBOutlet NSWindow *mainWindow;
    PhidgetDictionaryHandle ch;
    //Errors
    IBOutlet NSPanel *errorEventLogWindow;
    IBOutlet NSTextView *errorEventLog;
    IBOutlet NSTextField *errorEventLogCounter;
    //Table view / scroll view
    IBOutlet NSScrollView *scrollView;
    IBOutlet NSTableView *tableView;
    IBOutlet NSTextField *deviceConnectedLabel;
    IBOutlet NSTextField *serialNumberLabel;
    NSMutableArray *keyArray;
    NSMutableArray *valueArray;
    NSMutableDictionary *pairs;
    NSMutableArray *sortedKeys;
    IBOutlet NSTextField *keyTextField;
    IBOutlet NSTextField *valueTextField;
    
}
@end
